Bug 996715 - openstack-nova-compute should depend on libvirt-daemon-kvm, not libvirt
Summary: openstack-nova-compute should depend on libvirt-daemon-kvm, not libvirt
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-nova
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Icehouse
Assignee: Alan Pevec
QA Contact: Ami Jeain
URL:
Whiteboard:
Keywords: Reopened, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-13 19:11 UTC by Sandro Mathys
Modified: 2016-04-26 18:53 UTC (History)
20 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-16 11:38:46 UTC


Attachments (Terms of Use)
Depend on libvirt-daemon-kvm instead of libvirt (1.39 KB, patch)
2013-08-14 16:38 UTC, Xavier Queralt
xqueralt: review? (ndipanov)
Details | Diff

Description Sandro Mathys 2013-08-13 19:11:51 UTC
Description of problem:
Ever since F18 (and EL7), libvirt is only just a metapackage, that pulls in everything else. Now openstack-nova-compute does not need everything and therefore should only pull in libvirt-daemon-kvm.

Version-Release number of selected component (if applicable):
openstack-nova-compute-2013.2-0.8.b2.fc20

How reproducible:
Always

Steps to Reproduce:
1. yum install -y openstack-nova-compute
2. rpm -q libvirt
3.

Actual results:
Too many packages installed, most notable libvirt-daemon-config-network which sets up the (sometimes confusing and) totally unrequired / unused virbr0 with an IPv4 of 192.168.122.1

Expected results:
Only install what's needed. And no unnecessary bridges and such.

Additional info:
If installing openstack-nova-compute in a nested VM for testing / debugging / development purposes, the route between outer host and guest will be disturbed because they will both have 192.168.122.1/24 live on their respective virbr0.

Comment 1 Sandro Mathys 2013-08-13 19:15:26 UTC
For reference, see also https://www.redhat.com/archives/rhos-list/2013-August/msg00015.html

Comment 2 Xavier Queralt 2013-08-14 16:38:13 UTC
Created attachment 786608 [details]
Depend on libvirt-daemon-kvm instead of libvirt

Comment 3 Xavier Queralt 2013-08-14 16:42:16 UTC
I've changed the dependency in the attached patch, see below the packages that the old and the new versions pull:

# yum install openstack-nova-compute-2013.2-0.9.b2.fc20 | grep libvirt
 libvirt                        x86_64 1.1.1-1.fc20             fedora     33 k
 libvirt-client                 x86_64 1.1.1-1.fc20             fedora    5.1 M
 libvirt-daemon                 x86_64 1.1.1-1.fc20             fedora    2.2 M
 libvirt-daemon-config-network  x86_64 1.1.1-1.fc20             fedora     32 k
 libvirt-daemon-config-nwfilter x86_64 1.1.1-1.fc20             fedora     36 k
 libvirt-daemon-driver-interface
 libvirt-daemon-driver-libxl    x86_64 1.1.1-1.fc20             fedora    117 k
 libvirt-daemon-driver-lxc      x86_64 1.1.1-1.fc20             fedora    115 k
 libvirt-daemon-driver-network  x86_64 1.1.1-1.fc20             fedora     86 k
 libvirt-daemon-driver-nodedev  x86_64 1.1.1-1.fc20             fedora     73 k
 libvirt-daemon-driver-nwfilter x86_64 1.1.1-1.fc20             fedora     98 k
 libvirt-daemon-driver-qemu     x86_64 1.1.1-1.fc20             fedora    392 k
 libvirt-daemon-driver-secret   x86_64 1.1.1-1.fc20             fedora     68 k
 libvirt-daemon-driver-storage  x86_64 1.1.1-1.fc20             fedora    112 k
 libvirt-daemon-driver-uml      x86_64 1.1.1-1.fc20             fedora     81 k
 libvirt-daemon-driver-vbox     x86_64 1.1.1-1.fc20             fedora    192 k
 libvirt-daemon-driver-xen      x86_64 1.1.1-1.fc20             fedora    118 k
 libvirt-daemon-kvm             x86_64 1.1.1-1.fc20             fedora     32 k
 libvirt-python                 x86_64 1.1.1-1.fc20             fedora    226 k
 
# yum install openstack-nova-compute-2013.2-0.10.b2.fc20 | grep libvirt
 libvirt-client                 x86_64 1.1.1-1.fc20             fedora    5.1 M
 libvirt-daemon                 x86_64 1.1.1-1.fc20             fedora    2.2 M
 libvirt-daemon-driver-interface
 libvirt-daemon-driver-network  x86_64 1.1.1-1.fc20             fedora     86 k
 libvirt-daemon-driver-nodedev  x86_64 1.1.1-1.fc20             fedora     73 k
 libvirt-daemon-driver-nwfilter x86_64 1.1.1-1.fc20             fedora     98 k
 libvirt-daemon-driver-qemu     x86_64 1.1.1-1.fc20             fedora    392 k
 libvirt-daemon-driver-secret   x86_64 1.1.1-1.fc20             fedora     68 k
 libvirt-daemon-driver-storage  x86_64 1.1.1-1.fc20             fedora    112 k
 libvirt-daemon-kvm             x86_64 1.1.1-1.fc20             fedora     32 k
 libvirt-python                 x86_64 1.1.1-1.fc20             fedora    226 k

Comment 4 Sandro Mathys 2013-08-20 07:42:21 UTC
Apologies, I made a mistake here. Depending on libvirt is still wrong as it pulls in some unwanted default configuration but it's a tiny bit more complicated than described above. So Fedora and EL need to get different dependencies.

EL 7:
libvirt-daemon-kvm

Fedora >=18:
libvirt-daemon-kvm
libvirt-daemon-lxc
libvirt-daemon-uml
libvirt-daemon-xen


This is because EL only just supports KVM while Fedora supports other hypervisors as well.

Sorry for the unnecessary trouble.

Comment 5 Sandro Mathys 2013-09-05 12:36:09 UTC
What's the status here?

Comment 6 Fedora End Of Life 2013-09-16 16:54:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 7 Fedora Admin XMLRPC Client 2013-12-16 16:18:47 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Xavier Queralt 2014-03-10 13:27:41 UTC
Moving to RDO. Vladan, could you take a look at this and update the requirements if needed for the next build?

Comment 9 Kashyap Chamarthy 2014-07-15 13:27:53 UTC
[Triaging RDO bugs.]

I still don't see the SPEC file change in `openstack-nova` master branch:

  $ fedpkg clone -B openstack-nova

  $ cd openstack-nova/master

  $ git log | head -1
  commit 6d4b2ae57bad33d41e3897ef66fa2c6ff730c34f

  $ grep libvirt-daemon-kvm openstack-nova.spec

  $ echo $?
  1


Vladan, maybe you can include this in your next openstack-nova build for Fedora Rawhide?

Comment 10 Vladan Popovic 2014-07-16 12:59:00 UTC
I'll do a build today to include the CVEs and will add the dependencies as well. Thanks for the notice Kashyap.

Comment 12 Kashyap Chamarthy 2014-09-03 10:52:26 UTC
Fixed in Rawhide: openstack-nova-2014.2-0.2.b2.fc22

  $ fedpkg clone -B openstack-nova

  $ cd openstack-nova/master

  $ git log | head -1
  commit 2af3328550421a9e540081cbd9e4907eee06ceaf

  $ grep libvirt-daemon-kvm openstack-nova.spec
  Requires:         libvirt-daemon-kvm
  - openstack-nova-compute should depend on libvirt-daemon-kvm, not libvirt - rhbz#996715

Comment 13 Alan Pevec 2014-10-11 01:54:03 UTC
openstack-nova has broken dependencies in the rawhide tree:
On armhfp:
        openstack-nova-compute-2014.2-0.5rc1.fc22.noarch requires libvirt-daemon-xen

Comment 14 Alan Pevec 2014-10-20 12:59:18 UTC
Nova is noarch so we can't have different deps per arch. Options are:
* remove libvirt-daemon-xen as an explicit dependency in openstack-nova
* add Xen for ARM

I'll implement the former.


Note You need to log in before you can comment on or make changes to this bug.